Loading...
Searching...
No Matches
RDKit::MolStandardize::RDKitValidation Class Reference

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::RDKitValidation:

## Public Member Functions

std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const override
Public Member Functions inherited from RDKit::MolStandardize::ValidationMethod
| ValidationMethod ()=default
virtual | ~ValidationMethod ()=default

## Detailed Description

The RDKitValidation class throws an error when there are no atoms in the molecule or when there is incorrect atom valency.

Notes:

- RDKit automatically throws up atom valency issues but this class was made for completeness of the project.

Definition at line 69 of file Validate.h.

## Member Function Documentation

## validate()

std::vector< ValidationErrorInfo > RDKit::MolStandardize::RDKitValidation::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures
| ) |  | const

override virtual

Implements RDKit::MolStandardize::ValidationMethod.

The documentation for this class was generated from the following file:

- Validate.h